package com.nisum.inventory.repository;

import com.nisum.inventory.collection.ProcessedInventory;
import com.nisum.inventory.dto.RawInventory;

import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.factory.Mappers;

@Mapper
public interface InventoryMapper {

   InventoryMapper INSTANCE = Mappers.getMapper(InventoryMapper.class);


   @Mapping(target = "id", source = "id")
   ProcessedInventory dtoToEntity(RawInventory rawInventory, String id);


}
