package com.nisum.inventory.utils;


import org.apache.spark.sql.types.DataTypes;
import org.apache.spark.sql.types.Metadata;
import org.apache.spark.sql.types.StructField;
import org.apache.spark.sql.types.StructType;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class SchemaConfig {

    @Bean
    public StructType schema()
    {
        StructField[] structFields= new StructField[9];
        structFields[0]= new StructField("imageUrl", DataTypes.StringType,true, Metadata.empty());
        structFields[1]= new StructField("filename",DataTypes.StringType,true,Metadata.empty());
        structFields[2]= new StructField("imageHash",DataTypes.StringType,true,Metadata.empty());
        structFields[3]= new StructField("name",DataTypes.StringType,true,Metadata.empty());
        structFields[4]= new StructField("description",DataTypes.StringType,true,Metadata.empty());
        structFields[5]= new StructField("slug",DataTypes.StringType,true,Metadata.empty());
        structFields[6]= new StructField("manufacturer",DataTypes.StringType,true,Metadata.empty());
        structFields[7]= new StructField("itemType",DataTypes.StringType,true,Metadata.empty());
        structFields[8]= new StructField("productImg",DataTypes.StringType,true,Metadata.empty());


        return new StructType(structFields);


    }
}
