package com.nisum.inventory.dto;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.ArrayList;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class RawInventory implements Serializable {

    private ImageCredit imageCredit;
    private ArrayList<String> tags;
    private String imageUrl;
    private String filename;
    private String imageHash;
    private Double price;
    private String name;
    private String description;
    private String slug;
    private Long added;
    private String manufacturer;
    private String itemType;
    private String productImg;


}
